Page MenuHomePhabricator

Dark CSS format
Closed, InvalidPublic

Description

Author: eqvis81

Description:
Hi,

A friend told me about "blackle" and the difference of energy consumed by displaying a white or
black (dark) website. Well, perhaps you already know about www.blackle.com. If
not, take a look, please. I thought about a wiki with the possibility of
choosing a "dark-css" and so save energy. Something like the "print view" on other sites.
I hope you have understand the idea, although my bad english :o)

Best Regards,
Mayra Delgado


Version: unspecified
Severity: enhancement

Details

Reference
bz12918

Related Objects

StatusAssignedTask
OpenNone
ResolvedNone
InvalidNone

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:06 PM
bzimport added a project: MediaWiki-Interface.
bzimport set Reference to bz12918.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Feb 5 2008, 7:52 AM

river wrote:

unlikely to happen in the Modern skin, changing component...

The thing is, it's not at all clear if this really saves energy (see http://googleblog.blogspot.com/2007/08/is-black-new-green.html). So I wouldn't invest too much time in it. Of course users can adjust their own settings however they want...

Huji added a comment.Feb 6 2008, 12:12 PM

Yes, users can use Custom CSS for that reason. I'd expect this move to start on En WP (where many of the useful CSS and JS thingies initiate). If people find it useful there and show a tendency to use it more and more, then perhaps a justification could be found to add this feature to the software itself.

ayg wrote:

This doesn't save energy on LCDs (which more or less operate, to a first approximation, by blocking out a fixed-brightness backlight), and the energy it will end up saving on CRTs is probably less than the amount of energy it would take someone to write up a new skin rather than turning off their computer and going for a walk. Fixing summary.

I'm not sure if there's any point in keeping a bug open for this, because we have no actual policy on including new skins, and the general fact is we don't. Anyone can make a user skin if they want, but probably nobody's going to include it in core.

Huji added a comment.Feb 6 2008, 9:54 PM

So, shall we close it with WONTFIX, or shall we mark it as LATER?

ayg wrote:

Either one implies that we would not add such a skin at the current time, which isn't precisely true. We would if a developer personally wanted to do it. It's not like we can say "this is desirable feature that we hope to implement sometime" or "we will not implement this feature at the present time".

I guess just leave it open to gather dust, possibly until we have some kind of policy on skin inclusion.

Someone might one day implement a dark skin but I don't see the point in having this enhancement request rotting in our bugtracker -> RESOLVED/LATER.

brion added a comment.Jan 20 2011, 9:22 PM

While someone might someday make a dark style for some purpose, it wouldn't be done in core for the purpose of saving electricity, as this bug entry suggests. Resolving INVALID to keep the LATER list clean.